Bug 1591635 - [abrt] _cond_resched: WARNING: CPU: 0 PID: 32017 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:170 nouveau_dp_detect+0x202/0x370 [nouveau]
Summary: [abrt] _cond_resched: WARNING: CPU: 0 PID: 32017 at drivers/gpu/drm/nouveau/i...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ee1587c74c90f305d69c6535cd2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-15 07:28 UTC by Jan Hutař
Modified: 2019-05-28 22:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:28:14 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (124.66 KB, text/plain)
2018-06-15 07:29 UTC, Jan Hutař
no flags Details

Description Jan Hutař 2018-06-15 07:28:58 UTC
Description of problem:
I'm on Thinkpad P50 (integrated Intel + discrete NVidia graphics card) and I have:

1. resumed from suspend
2. docked
3. turned on external monitor (connected via display port)
4. then undocked.

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 0 PID: 32017 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:170 nouveau_dp_detect+0x202/0x370 [nouveau]
Modules linked in: ccm vhost_net vhost tap xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack fuse devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc xfs arc4 libcrc32c iwlmvm intel_rapl mei_wdt iTCO_wdt mac80211 iTCO_vendor_support x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_hda_codec_realtek kvm snd_hda_codec_generic btusb iwlwifi btrtl snd_hda_intel btbcm irqbypass btintel intel_cstate snd_hda_codec bluetooth
 uvcvideo snd_hda_core videobuf2_vmalloc snd_hwdep videobuf2_memops snd_seq intel_uncore videobuf2_v4l2 videobuf2_common snd_seq_device videodev intel_rapl_perf snd_pcm cfg80211 rtsx_pci_ms memstick media ecdh_generic joydev mei_me thinkpad_acpi tpm_tis snd_timer tpm_tis_core wmi_bmof i2c_i801 mei intel_wmi_thunderbolt shpchp intel_pch_thermal tpm snd soundcore rfkill binfmt_misc dm_crypt nouveau i915 mxm_wmi ttm rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e nvme crct10dif_pclmul crc32_pclmul drm crc32c_intel ptp nvme_core rtsx_pci serio_raw pps_core ghash_clmulni_intel wmi video
CPU: 0 PID: 32017 Comm: kworker/0:0 Not tainted 4.16.14-300.fc28.x86_64 #1
Hardware name: LENOVO 20EQS64N00/20EQS64N00, BIOS N1EET77W (1.50 ) 03/28/2018
Workqueue: events nouveau_display_hpd_work [nouveau]
RIP: 0010:nouveau_dp_detect+0x202/0x370 [nouveau]
RSP: 0018:ffffb63d49effcf0 EFLAGS: 00010293
RAX: 0000000000000000 RBX: ffff94edb6108600 RCX: 0000000000000000
RDX: ffffb63d4500e4e4 RSI: ffffb63d4500e4e4 RDI: 0000000001009002
RBP: ffff94edb3679800 R08: ffffb63d49effcfd R09: ffffb63d49effcfc
R10: 0000000000000000 R11: 0000000000000000 R12: ffff94edbb4c6000
R13: ffff94edbb4c6000 R14: 00000000ffffffed R15: ffff94edb6108618
FS:  0000000000000000(0000) GS:ffff94eddf400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fd3938e6010 CR3: 000000078f20a003 CR4: 00000000003606f0
Call Trace:
 ? _cond_resched+0x15/0x30
 nouveau_connector_detect+0x2ff/0x510 [nouveau]
 ? _cond_resched+0x15/0x30
 ? ww_mutex_lock+0x12/0x40
 drm_helper_probe_detect_ctx+0x8b/0xe0 [drm_kms_helper]
 drm_helper_hpd_irq_event+0xa8/0x120 [drm_kms_helper]
 nouveau_display_hpd_work+0x2a/0x70 [nouveau]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit_group+0x10/0x10
 ret_from_fork+0x35/0x40
Code: 4c 8d 44 24 0d b9 00 04 00 00 48 89 ef ba 09 00 00 00 be 01 00 00 00 e8 fd 0a f8 ff 85 c0 0f 85 3b 01 00 00 80 7c 24 0c 03 74 02 <0f> 0b 48 89 ef e8 d4 08 f8 ff f6 05 fd 2a c4 ff 02 0f 84 24 ff 

Potential duplicate: bug 1575111

Comment 1 Jan Hutař 2018-06-15 07:29:09 UTC
Created attachment 1451793 [details]
File: dmesg

Comment 2 Brad Keefer 2018-06-28 00:20:51 UTC
Description of problem:
I undocked my Lenovo P50.

Version-Release number of selected component:
kernel-core-4.17.2-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.2-200.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-9a225b5c-3335-456d-b6e7-5e2aec8087fe rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: _cond_resched
kernel:         4.17.2-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2952 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:170 nouveau_dp_detect+0x202/0x370 [nouveau]
Modules linked in: uas usb_storage vfat fat fuse rfcomm ccm thunderbolt xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 iwlmvm intel_rapl x86_pkg_temp_thermal intel_powerclamp mei_wdt iTCO_wdt coretemp iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic kvm_intel mac80211 kvm uvcvideo snd_hda_intel
 videobuf2_vmalloc snd_hda_codec btusb videobuf2_memops videobuf2_v4l2 btrtl btbcm btintel irqbypass intel_cstate videobuf2_common snd_hda_core iwlwifi intel_uncore snd_hwdep bluetooth snd_seq intel_rapl_perf videodev snd_seq_device snd_pcm rtsx_pci_ms cfg80211 intel_wmi_thunderbolt wmi_bmof media thinkpad_acpi joydev memstick snd_timer i2c_i801 ecdh_generic snd mei_me soundcore mei intel_pch_thermal rfkill shpchp dm_crypt mmc_block nouveau i915 mxm_wmi ttm rtsx_pci_sdmmc mmc_core i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel nvme drm e1000e ghash_clmulni_intel nvme_core serio_raw rtsx_pci wmi video
CPU: 0 PID: 2952 Comm: kworker/0:3 Not tainted 4.17.2-200.fc28.x86_64 #1
Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET71W (1.44 ) 08/31/2017
Workqueue: events nouveau_display_hpd_work [nouveau]
RIP: 0010:nouveau_dp_detect+0x202/0x370 [nouveau]
RSP: 0018:ffffaa4bc318fcf0 EFLAGS: 00010293
RAX: 0000000000000000 RBX: ffff9858f55dec00 RCX: 0000000000000000
RDX: ffffaa4bc500e4e4 RSI: ffffaa4bc500e4e4 RDI: 0000000001009002
RBP: ffff9858f387f800 R08: ffffaa4bc318fcfd R09: ffffaa4bc318fcfc
R10: 0000000000000000 R11: 0000000000000000 R12: ffff9858fb44c000
R13: ffff9858fb44c000 R14: 00000000ffffffed R15: ffff9858f55dec18
FS:  0000000000000000(0000) GS:ffff98591f400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fec3c84a000 CR3: 000000071320a004 CR4: 00000000003606f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? _cond_resched+0x15/0x30
 nouveau_connector_detect+0x2ff/0x510 [nouveau]
 ? _cond_resched+0x15/0x30
 ? ww_mutex_lock+0x12/0x40
 drm_helper_probe_detect_ctx+0x8b/0xe0 [drm_kms_helper]
 drm_helper_hpd_irq_event+0xa8/0x120 [drm_kms_helper]
 nouveau_display_hpd_work+0x2a/0x70 [nouveau]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 4c 8d 44 24 0d b9 00 04 00 00 48 89 ef ba 09 00 00 00 be 01 00 00 00 e8 8d 0c f8 ff 85 c0 0f 85 3b 01 00 00 80 7c 24 0c 03 74 02 <0f> 0b 48 89 ef e8 64 0a f8 ff f6 05 fd 4d c6 ff 02 0f 84 24 ff

Comment 3 Ben Cotton 2019-05-02 20:54:47 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 22:28:14 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.